Incidencia #43688

Metainfo files

Abrir Fecha: 2022-01-26 12:14 Última actualización: 2022-06-22 00:40

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
3

Details

Debian's current appdata tests show warnings about missing metadata files. E.g. https://appstream.debian.org/sid/main/issues/freeciv-server.html

Apparently files formerly assumed to be named as *.appdata.xml should now be named as *.metainfo.xml ( https://freedesktop.org/software/appstream/docs/chap-Metadata.html#sect-Metadata-GenericComponent )

Ticket History (3/11 Histories)

2022-01-26 12:14 Updated by: cazfi
  • New Ticket "Metainfo files" created
2022-02-05 04:39 Updated by: cazfi
2022-03-13 10:56 Updated by: cazfi
Comentario

There's actually multiple levels of backward compatibility things here. Naming files as *.appdata.xml should be still ok ("Component metadata of type desktop-application ...can be installed with an .appdata.xml extension as well"), and I'm not sure we want to change that extension in the middle of a release series (i.e. in S3_0). But changing the directory where the files reside is more urgent (and the new location has been supported by the distributions for longer time, so should not cause any problems): "Support for the legacy path will likely be dropped completely with a future AppStream 1.0 release."

2022-03-13 11:00 Updated by: cazfi
Comentario

Updating the default directory for appdata/metainfo files: #44091

2022-06-11 17:26 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
  • Hito Update from (Ninguno) to 3.1.0
2022-06-20 21:47 Updated by: cazfi
  • Resolución Update from Accepted to Ninguno
Comentario

'make dist' failing (bootstrap/Makefile.am lists old file names)

2022-06-20 22:27 Updated by: cazfi
  • Resolución Update from Ninguno to Accepted
Comentario

- Only master patch lacked those bootstrap/Makefile.am changes. New version attached.

2022-06-22 00:40 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar